Bug 1734180 - Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-*rpms' and 'rhel-8-satellite-tools-6-beta-*rpms'
Summary: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-*rpms' a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: releng
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Frank DiPrete
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 21:29 UTC by John Sefler
Modified: 2020-12-16 23:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-16 23:25:16 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2019-07-29 21:29:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
[root@kvm-03-guest06 ~]# subscription-manager register --serverurl=subscription.rhsm.stage.redhat.com
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: stage_auto_testuser 
Password: 
The system has been registered with ID: 5599adc9-b205-4f65-8ea3-6417f4205a7d
The registered system name is: kvm-03-guest06.lab.eng.rdu2.redhat.com
[root@kvm-03-guest06 ~]# 
[root@kvm-03-guest06 ~]# subscription-manager list --available --matches=MCT3718 --pool-only
8a99f9a86885be6c01689c8afe9b2b4f
[root@kvm-03-guest06 ~]# 
[root@kvm-03-guest06 ~]# subscription-manager attach --pool=8a99f9a86885be6c01689c8afe9b2b4f
Successfully attached a subscription for: Red Hat Satellite Infrastructure Subscription
[root@kvm-03-guest06 ~]# 
[root@kvm-03-guest06 ~]# yum repolist --disablerepo=beaker* --enablerepo=satellite-tools-6.6-*
Updating Subscription Management repositories.
Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)          8.3  B/s |  16  B     00:01    
Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-rpms'
[root@kvm-03-guest06 ~]# 
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-rpms'
[root@kvm-03-guest06 ~]# 
[root@kvm-03-guest06 ~]# yum repolist --disablerepo=beaker* --enablerepo=satellite-tools-6.6-* --disablerepo=satellite-tools-6.6-for-rhel-8-x86_64-rpms
Updating Subscription Management repositories.
Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (Source RPMs)    11  B/s |  16  B     00:01    
Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-source-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-source-rpms'
[root@kvm-03-guest06 ~]# 
[root@kvm-03-guest06 ~]# yum repolist --disablerepo=beaker* --enablerepo=satellite-tools-6.6-* --disablerepo=satellite-tools-6.6-for-rhel-8-x86_64-rpms --disablerepo=satellite-tools-6.6-for-rhel-8-x86_64-source-rpms
Updating Subscription Management repositories.
Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (Debug RPMs)     13  B/s |  16  B     00:01    
Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-debug-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-debug-rpms'
[root@kvm-03-guest06 ~]# 



Actual results:
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-source-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-x86_64-debug-rpms'

Expected results:
  Expected the ability to download the metadata from the cdn

Additional info:



Offending repos on the production CDN:
[root@kvm-03-guest06 ~]# subscription-manager repos --list | grep satellite-tools-6.6-for-rhel-8 -A4
Repo ID:   satellite-tools-6.6-for-rhel-8-x86_64-rpms
Repo Name: Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/sat-tools/6.6/os
Enabled:   0

Repo ID:   satellite-tools-6.6-for-rhel-8-x86_64-debug-rpms
Repo Name: Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (Debug RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/sat-tools/6.6/debug
Enabled:   0

--
Repo ID:   satellite-tools-6.6-for-rhel-8-x86_64-source-rpms
Repo Name: Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 (Source RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/sat-tools/6.6/source/SRPMS
Enabled:   0

Comment 3 John Sefler 2019-07-29 23:50:45 UTC
Having the same trouble with the rhel-8-satellite-tools-6-beta*rpms repos...

Error: Failed to download metadata for repo 'rhel-8-satellite-tools-6-beta-rpms'
Error: Failed to download metadata for repo 'rhel-8-satellite-tools-6-beta-source-rpms'
Error: Failed to download metadata for repo 'rhel-8-satellite-tools-6-beta-debug-rpms'



[root@kvm-03-guest06 ~]# subscription-manager repos --list | grep rhel-8-satellite-tools-6-beta -A4
Repo ID:   rhel-8-satellite-tools-6-beta-source-rpms
Repo Name: Red Hat Satellite Tools 6 Beta (for RHEL 8 x86_64) (Source RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/layered/rhel8/x86_64/sat-tools/6/source/SRPMS
Enabled:   1

--
Repo ID:   rhel-8-satellite-tools-6-beta-debug-rpms
Repo Name: Red Hat Satellite Tools 6 Beta (for RHEL 8 x86_64) (Debug RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/layered/rhel8/x86_64/sat-tools/6/debug
Enabled:   1

--
Repo ID:   rhel-8-satellite-tools-6-beta-rpms
Repo Name: Red Hat Satellite Tools 6 Beta (for RHEL 8 x86_64) (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/layered/rhel8/x86_64/sat-tools/6/os
Enabled:   1

Comment 4 John Sefler 2019-07-30 16:06:34 UTC
This bug also applies to ppc64le repos:

Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-ppc64le-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-ppc64le-debug-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-ppc64le-source-rpms'

Comment 5 John Sefler 2019-07-30 16:07:39 UTC
This bug also applies to aarch64 repos:

Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-aarch64-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-aarch64-debug-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-aarch64-source-rpms'

Comment 6 John Sefler 2019-07-30 16:10:06 UTC
This bug also applies to s390x repos:

Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-s390x-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-s390x-debug-rpms'
Error: Failed to download metadata for repo 'satellite-tools-6.6-for-rhel-8-s390x-source-rpms'

Comment 13 John Sefler 2020-12-16 23:25:16 UTC
Moving to CLOSED:CURRENTRELEASE as automated tests have been passing for the rhel8 repos in the comments above


Note You need to log in before you can comment on or make changes to this bug.